#pragma once

#include <fd_info.h>
#include <logconfig.h>

struct additional_options {
	list_head filter_list;
	log_filter *filter_object;
	size_t logs_dump;
	size_t logs_size;
};

int additional_options_init(struct additional_options *opt);
void additional_options_cleanup(struct additional_options *opt);

int create_initial_fdis(struct fd_info ***fdis, int enabled_buffers, bool is_pipe, const struct log_config *conf);
int do_print(struct fd_info **data_fds, int fd_count, write_callback callback, void *userdata, bool sorting_needed, enum sorting_order sort_by, const struct log_config *conf, struct additional_options *opt);
