#pragma once

#ifndef LOGLIMITER_INTERNAL_H_
#define LOGLIMITER_INTERNAL_H_

#include <time.h>

enum rule_type {
	RULE_STATIC,
	RULE_DEFAULT
};

struct rule {
	struct rule* prev;
	unsigned hash;
	int prio;
	int limit;
	int hit;
	time_t start;
	char tag[MAX_CONF_KEY_LEN];
	enum rule_type type;
};

int __log_limiter_initialize(struct rule *rules_table);
unsigned util_hash_key(const char* s, int c);

#endif // LOGLIMITER_INTERNAL_H_
