#pragma once

#include <time.h>

struct parser {
	int (*parse)(const char **cursor, void *user_data);
	void *user_data;
};

struct parsers {
	struct parser *parsers;
	int count;
};

int parse_number(const char **cursor, void *user_data);
int parse_const_char(const char **cursor, void *user_data);
int parse_syslog_date(char **cursor, struct tm *timestamp);
int parse_timestamp(const char **cursor, void *user_data);
int skip_name(const char **cursor, void *user_data);
int parse_message(const char **cursor, void *user_data);
int parse(const char **cursor, struct parsers *parsers);
int parse_optional(const char **cursor, void *user_data);
